class CreateCommissions < ActiveRecord::Migration[5.1]
  # rake db:migrate:down VERSION=20170825093252
  def change
    create_table :commissions, id: false do |t|
      t.string :commission_id, limit: 16, primary_key: true # custom primary key
      t.string :name
      t.string :product_type
      t.json :product_code
      t.string :commission_type
      t.integer :amount
      t.boolean :is_active, default: true
      t.timestamps
    end
  end
end

